require 'spec_helper'

describe Api::Filters::Between do
  describe "#build_param" do

    context "quando informado between corretamente" do
      it "retorna um range" do
        expect(described_class.new("payment_date", "bt(2012-01-01,2012-02-01)").build_param).to eq({ "payment_date" => "2012-01-01".."2012-02-01" })
      end
    end

    context ".elastic_query" do
      it { expect(described_class.new("payment_date", "bt(2012-01-01,2012-02-01)").elastic_query).to eq({ range: { payment_date: { gte: "2012-01-01", lte: "2012-02-01" } } }) }
    end
  end
end
