require "spec_helper"

describe Api::Filters::EqualTo do

  describe "#build_param" do

    def build_param(field, condition)
      described_class.new(field, condition).build_param
    end

    it "parses um inteiro" do
      expect(build_param("amount", "eq(1000)")).to eq({ "amount = ?" => 1000 })
    end

    it "parses uma string" do
      expect(build_param("amount", "eq(string)")).to eq({ "amount = ?" => "string" })
    end

    it "parses uma data" do
      expect(build_param("date", "eq(2013-01-01)")).to eq({ "date = ?" => "2013-01-01" })
    end

    # it "parses um status" do
    #   expect(build_param("status", "eq(WAITING)")).to eq({ "status" => [2, 3, 6]})
    # end

  end

  describe ".elastic_query" do
    it { expect(described_class.new("date", "eq(2013-01-01)").elastic_query).to eq({ match: { date: "2013-01-01" } }) }
  end

  describe ".handle?" do

    it "return true quando eq" do
      expect(described_class.handle?("eq(1000)")).to be_truthy
    end

    it "return false quando nao eh um eq valido" do
      expect(described_class.handle?("bt(10,20)")).to be_falsey
    end

  end

end
