require "spec_helper"

describe Api::Filters do

  describe ".parse" do

    it "apenas 1 filtro" do
      got = described_class.parse("buyerName::Joao da Silva")
      expect(got.keys).to eq(["buyerName"])
      expect(got.values).to eq(["Joao da Silva"])
    end

    it "mais de 1 filtro" do
      got = described_class.parse("buyerName::João da Silva|buyerEmail::buyer@domain.com")
      expect(got.keys).to eq(["buyerName", "buyerEmail"])
      expect(got.values).to eq(["João da Silva", "buyer@domain.com"])
    end

    it "nil" do
      expect(described_class.parse(nil)).to eq({})
    end

    it "allow duplicate filters" do
      got = described_class.parse("amount::1|amount::2")
      expect(got.keys).to eq(["amount", "amount"])
      expect(got.values).to eq(["1","2"])
    end

  end

end
